Ruby: pm_parameters_node Struct Reference

Ruby 3.4.8p72 (2025-12-17 revision 995b59f66677d44767ce9faac6957e5543617ff9)

Data Fields
pm_parameters_node Struct Reference

ParametersNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
struct pm_node_list | requireds
| ParametersNode::requireds.
struct pm_node_list | optionals
| ParametersNode::optionals.
struct pm_node * | rest
| ParametersNode::rest.
struct pm_node_list | posts
| ParametersNode::posts.
struct pm_node_list | keywords
| ParametersNode::keywords.
struct pm_node * | keyword_rest
| ParametersNode::keyword_rest.
struct pm_block_parameter_node * | block
| ParametersNode::block.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
uint32_t | node_id
| The unique identifier for this node, which is deterministic based on the source.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

ParametersNode.

Represents the list of parameters on a method, block, or lambda definition.

    def a(b, c, d)
          ^^^^^^^
    end

Type: PM_PARAMETERS_NODE

Definition at line 6585 of file ast.h.

## Field Documentation

## ◆ base

pm_node_t pm_parameters_node::base

The embedded base node.

Definition at line 6587 of file ast.h.

Referenced by pm_dump_json().

## ◆ block

struct pm_block_parameter_node* pm_parameters_node::block

ParametersNode::block.

Definition at line 6623 of file ast.h.

Referenced by pm_dump_json(), pm_node_destroy(), and pm_visit_child_nodes().

## ◆ keyword_rest

struct pm_node* pm_parameters_node::keyword_rest

ParametersNode::keyword_rest.

Definition at line 6618 of file ast.h.

Referenced by pm_dump_json(), pm_node_destroy(), and pm_visit_child_nodes().

## ◆ keywords

struct pm_node_list pm_parameters_node::keywords

ParametersNode::keywords.

Definition at line 6613 of file ast.h.

Referenced by pm_dump_json(), pm_node_destroy(), and pm_visit_child_nodes().

## ◆ optionals

struct pm_node_list pm_parameters_node::optionals

ParametersNode::optionals.

Definition at line 6598 of file ast.h.

Referenced by pm_dump_json(), pm_node_destroy(), and pm_visit_child_nodes().

## ◆ posts

struct pm_node_list pm_parameters_node::posts

ParametersNode::posts.

Definition at line 6608 of file ast.h.

Referenced by pm_dump_json(), pm_node_destroy(), and pm_visit_child_nodes().

## ◆ requireds

struct pm_node_list pm_parameters_node::requireds

ParametersNode::requireds.

Definition at line 6593 of file ast.h.

Referenced by pm_dump_json(), pm_node_destroy(), and pm_visit_child_nodes().

## ◆ rest

struct pm_node* pm_parameters_node::rest

ParametersNode::rest.

Definition at line 6603 of file ast.h.

Referenced by pm_dump_json(), pm_node_destroy(), and pm_visit_child_nodes().

The documentation for this struct was generated from the following file:

- prism/ast.h